hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Eugene Koontz (Updated) (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HADOOP-8133) upgrade commons-daemon.version in hadoop-project/pom.xml from 1.0.3 to 1.0.5 to avoid jsvc / libcap.so linking problem
Date Fri, 02 Mar 2012 17:01:57 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-8133?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Eugene Koontz updated HADOOP-8133:
----------------------------------

    Attachment: HADOOP-8133.patch
    
> upgrade commons-daemon.version in hadoop-project/pom.xml from 1.0.3 to 1.0.5 to avoid
jsvc / libcap.so linking problem
> ----------------------------------------------------------------------------------------------------------------------
>
>                 Key: HADOOP-8133
>                 URL: https://issues.apache.org/jira/browse/HADOOP-8133
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: build, native
>    Affects Versions: 0.24.0
>            Reporter: Eugene Koontz
>         Attachments: HADOOP-8133.patch
>
>
> On several recent Linux distributions (tested Ubuntu 9.04, RHEL 6.2, Amazon Linux AMI
release 2011.09), there is no libcap.so.1. With commons-daemon 1.0.3, the current version
selected by {{hadoop-project/pom.xml}}, this causes a linking error:
> {code}
> $ wget http://archive.apache.org/dist/commons/daemon/binaries/1.0.3/linux/commons-daemon-1.0.3-bin-linux-x86_64.tar.gz
> $ tar xfz commons-daemon-1.0.3-bin-linux-x86_64.tar.gz
> $ ldd jsvc 
> 	linux-vdso.so.1 =>  (0x00007ffff43cc000)
> 	libdl.so.2 => /lib64/libdl.so.2 (0x00007f9cbbeee000)
> 	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f9cbbcd2000)
> 	libcap.so.1 => not found
> 	libc.so.6 => /lib64/libc.so.6 (0x00007f9cbb930000)
> 	/lib64/ld-linux-x86-64.so.2 (0x00007f9cbc0fb000)
> {code}
> The same problem also occurs with 1.0.4, but 1.0.5 doesn't have the problem:
> {code}
> $ wget http://archive.apache.org/dist/commons/daemon/binaries/1.0.5/linux/commons-daemon-1.0.5-bin-linux-x86_64.tar.gz
> $ tar xfz commons-daemon-1.0.5-bin-linux-x86_64.tar.gz 
> $ ldd jsvc 
> 	linux-vdso.so.1 =>  (0x00007fff157ff000)
> 	libdl.so.2 => /lib64/libdl.so.2 (0x00007f9e14778000)
> 	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f9e1455c000)
> 	libcap.so.2 => /lib64/libcap.so.2 (0x00007f9e14357000)
> 	libc.so.6 => /lib64/libc.so.6 (0x00007f9e13fb6000)
> 	/lib64/ld-linux-x86-64.so.2 (0x00007f9e14985000)
> 	libattr.so.1 => /lib64/libattr.so.1 (0x00007f9e13db2000)
> {code}

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message